# Class RafSchedulerProvider

Service provider that creates a requestAnimationFrame-based scheduler.

#### Implements

- Defined in src/animations/raf-scheduler.js:10

##### Index

### Constructors

constructor

### Properties

cancelFn
queue

### Methods

$get
nextTick

## Constructors

### constructor

- new RafSchedulerProvider(): RafSchedulerProvider

  #### Returns RafSchedulerProvider

  - Defined in src/animations/raf-scheduler.js:11

## Properties

### cancelFn

cancelFn: number

ID of the currently scheduled animation frame (if any). Used for cancellation and tracking.

- Defined in src/animations/raf-scheduler.js:23
- Defined in src/animations/raf-scheduler.js:38
- Defined in src/animations/raf-scheduler.js:39
- Defined in src/animations/raf-scheduler.js:80
- Defined in src/animations/raf-scheduler.js:83
- Defined in src/animations/raf-scheduler.js:84

### queue

queue: (() => void)[][]

Internal task queue, where each item is an array of functions to run.

- Defined in src/animations/raf-scheduler.js:16
- Defined in src/animations/raf-scheduler.js:61

## Methods

### $get

- $get(): RafScheduler

  Returns the scheduler function. This function allows tasks to be queued for execution on future animation frames. It also has helper methods and state attached.

  #### Returns RafScheduler

  The scheduler function with `queue` and `waitUntilQuiet`.

  - Defined in src/animations/raf-scheduler.js:52

### nextTick

- nextTick(): void

  Processes the next batch of tasks in the animation frame. Executes the first group of functions in the queue, then schedules the next frame if needed.

  #### Returns void

  - Defined in src/animations/raf-scheduler.js:31